<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.MoveStashBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:background="@drawable/bg_item"
        android:orientation="horizontal"
        android:padding="10dp">

        <ImageView
            android:id="@+id/iv_icon"
            loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/colorPrimary"
                        tools:text="789165431" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="件数：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.pc}' />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="重量：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.weight}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="代理人：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.agentCode}' />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单类型：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text='@{bean.awbType}' />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="航班：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.flight}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="始发港：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.origin}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="起始站：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.dep}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="目的港：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.dest}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="品名：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.goods}" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>